import parseCompositeCheckDigit from '../parsers/parseCompositeCheckDigit';
import parseDate from '../parsers/parseDate';
import parseDateCheckDigit from '../parsers/parseDateCheckDigit';
import parseDocumentNumber from '../parsers/parseDocumentNumber';
import parseDocumentNumberCheckDigit from '../parsers/parseDocumentNumberCheckDigit';
import parseFirstName from '../parsers/parseFirstName';
import parseLastName from '../parsers/parseLastName';
import parseSex from '../parsers/parseSex';
import parseState from '../parsers/parseState';
declare const documentNumberTemplate: {
    label: string;
    field: "documentNumber";
    parser: typeof parseDocumentNumber;
    type: "ALPHANUMERIC";
};
declare const documentNumberCheckDigitTemplate: {
    label: string;
    field: "documentNumberCheckDigit";
    parser: typeof parseDocumentNumberCheckDigit;
    type: "NUMERIC";
};
declare const documentCodeTemplate: {
    label: string;
    field: "documentCode";
    type: "ALPHABETIC";
};
declare const nationalityTemplate: {
    label: string;
    field: "nationality";
    parser: typeof parseState;
    type: "ALPHABETIC";
};
declare const sexTemplate: {
    label: string;
    field: "sex";
    parser: typeof parseSex;
    type: "ALPHABETIC";
};
declare const expirationDateTemplate: {
    label: string;
    field: "expirationDate";
    parser: typeof parseDate;
    type: "NUMERIC";
};
declare const expirationDateCheckDigitTemplate: {
    label: string;
    field: "expirationDateCheckDigit";
    parser: typeof parseDateCheckDigit;
    type: "NUMERIC";
};
declare const compositeCheckDigitTemplate: {
    label: string;
    field: "compositeCheckDigit";
    parser: typeof parseCompositeCheckDigit;
    type: "NUMERIC";
};
declare const birthDateTemplate: {
    label: string;
    field: "birthDate";
    parser: typeof parseDate;
    type: "NUMERIC";
};
declare const birthDateCheckDigitTemplate: {
    label: string;
    field: "birthDateCheckDigit";
    parser: typeof parseDateCheckDigit;
    type: "NUMERIC";
};
declare const issueDateTemplate: {
    label: string;
    field: "issueDate";
    parser: typeof parseDate;
    type: "NUMERIC";
};
declare const firstNameTemplate: {
    label: string;
    field: "firstName";
    parser: typeof parseFirstName;
    type: "ALPHABETIC";
};
declare const lastNameTemplate: {
    label: string;
    field: "lastName";
    parser: typeof parseLastName;
    type: "ALPHABETIC";
};
declare const issuingStateTemplate: {
    label: string;
    field: "issuingState";
    parser: typeof parseState;
    type: "ALPHABETIC";
};
export { documentNumberTemplate, documentNumberCheckDigitTemplate, documentCodeTemplate, nationalityTemplate, sexTemplate, expirationDateTemplate, expirationDateCheckDigitTemplate, birthDateTemplate, birthDateCheckDigitTemplate, issueDateTemplate, compositeCheckDigitTemplate, firstNameTemplate, lastNameTemplate, issuingStateTemplate, };
//# sourceMappingURL=fieldTemplates.d.ts.map